Package org.eclipse.emf.cdo.lm.client

# Interface IAssemblyManager

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<IAssemblyDescriptor>`, `org.eclipse.net4j.util.event.INotifier`

public interface IAssemblyManager extends org.eclipse.net4j.util.container.IContainer<IAssemblyDescriptor>

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IAssemblyManager.DescriptorSyncStateEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IAssemblyManager`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`IAssemblyDescriptor`
`createDescriptor(String label, Baseline baseline, IProgressMonitor monitor)`
`void`
`forEachDescriptor(Consumer<IAssemblyDescriptor> consumer)`
`IAssemblyDescriptor`
`getDescriptor(CDOCheckout checkout)`
`IAssemblyDescriptor`
`getDescriptor(EObject object)`
`IAssemblyDescriptor[]`
`getDescriptors()`
`IAssemblyDescriptor[]`
`getDescriptors(Baseline baseline)`
`String`
`getModuleTypeProperty(CDOCheckout checkout)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### INSTANCE

static final IAssemblyManager INSTANCE

## Method Details

### createDescriptor

IAssemblyDescriptor createDescriptor(String label, Baseline baseline, IProgressMonitor monitor) throws Exception

Throws:
  `Exception`

### getDescriptor

IAssemblyDescriptor getDescriptor(CDOCheckout checkout)

### getDescriptor

IAssemblyDescriptor getDescriptor(EObject object)

### getDescriptors

IAssemblyDescriptor[] getDescriptors(Baseline baseline)

### getDescriptors

IAssemblyDescriptor[] getDescriptors()

### forEachDescriptor

void forEachDescriptor(Consumer<IAssemblyDescriptor> consumer)

### getModuleTypeProperty

String getModuleTypeProperty(CDOCheckout checkout)